Subject: Re: Adress of rd_start/initrd_start on EBSA285

From: "Paul Robertson" <[email-masked]>
Date: Wed, 17 Nov 1999 11:42:58 -0000

Apologies for cross-posting - I guess this follow-up really belongs here

Gaixia wrote (in linux-arm list):

>Hi,
>
>I am trying to get a ramdisk for ARM-Linux on EBSA285. I ran into the
>following
>questions: What is the virtual address I should give to rd_start in the
>param page?
>and What is the physical address I should load the ramdisk image?
>
>How about initrd_start?
>
>I can only find 4200 0000 mapped to fe00 0000 and some others in
>hardware.h,
>Where could I get the related information for ramdisk?

I have the same problem, plus some others...

Where did you get your ramdisk image?

I can't remember where I got mine, only that I tried
ftp://ssdl-redstone.stanford.edu/pub/ramdisk.gz
unsuccessfully

My ARM-Linux kernel successfully mounts this ramdisk image as a NFS on
another machine, but then crashes when it tries to execute /sbin/init

Paul Robertson
LocSoft Limited
"The key to your embedded solutions"
www.locsoft.com
Phone +44 (0) 1793 432557
Fax     +44 (0) 1793 432727